Bullet Collision Detection & Physics Library: Bullet::btRigidBodyDoubleData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btRigidBodyDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btRigidBodyDoubleData:
[legend]

## Public Attributes
btCollisionObjectDoubleData | m_collisionObjectData
btMatrix3x3DoubleData | m_invInertiaTensorWorld
btVector3DoubleData | m_linearVelocity
btVector3DoubleData | m_angularVelocity
btVector3DoubleData | m_angularFactor
btVector3DoubleData | m_linearFactor
btVector3DoubleData | m_gravity
btVector3DoubleData | m_gravity_acceleration
btVector3DoubleData | m_invInertiaLocal
btVector3DoubleData | m_totalForce
btVector3DoubleData | m_totalTorque
double | m_inverseMass
double | m_linearDamping
double | m_angularDamping
double | m_additionalDampingFactor
double | m_additionalLinearDampingThresholdSqr
double | m_additionalAngularDampingThresholdSqr
double | m_additionalAngularDampingFactor
double | m_linearSleepingThreshold
double | m_angularSleepingThreshold
int | m_additionalDamping
char | m_padding [4]

## Detailed Description

Definition at line 813 of file bullet.h.

## Member Data Documentation

## ◆ m_additionalAngularDampingFactor

double Bullet::btRigidBodyDoubleData::m_additionalAngularDampingFactor

Definition at line 833 of file bullet.h.

## ◆ m_additionalAngularDampingThresholdSqr

double Bullet::btRigidBodyDoubleData::m_additionalAngularDampingThresholdSqr

Definition at line 832 of file bullet.h.

## ◆ m_additionalDamping

int Bullet::btRigidBodyDoubleData::m_additionalDamping

Definition at line 836 of file bullet.h.

## ◆ m_additionalDampingFactor

double Bullet::btRigidBodyDoubleData::m_additionalDampingFactor

Definition at line 830 of file bullet.h.

## ◆ m_additionalLinearDampingThresholdSqr

double Bullet::btRigidBodyDoubleData::m_additionalLinearDampingThresholdSqr

Definition at line 831 of file bullet.h.

## ◆ m_angularDamping

double Bullet::btRigidBodyDoubleData::m_angularDamping

Definition at line 829 of file bullet.h.

## ◆ m_angularFactor

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_angularFactor

Definition at line 820 of file bullet.h.

## ◆ m_angularSleepingThreshold

double Bullet::btRigidBodyDoubleData::m_angularSleepingThreshold

Definition at line 835 of file bullet.h.

## ◆ m_angularVelocity

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_angularVelocity

Definition at line 819 of file bullet.h.

## ◆ m_collisionObjectData

btCollisionObjectDoubleData Bullet::btRigidBodyDoubleData::m_collisionObjectData

Definition at line 816 of file bullet.h.

## ◆ m_gravity

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_gravity

Definition at line 822 of file bullet.h.

## ◆ m_gravity_acceleration

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_gravity_acceleration

Definition at line 823 of file bullet.h.

## ◆ m_inverseMass

double Bullet::btRigidBodyDoubleData::m_inverseMass

Definition at line 827 of file bullet.h.

## ◆ m_invInertiaLocal

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_invInertiaLocal

Definition at line 824 of file bullet.h.

## ◆ m_invInertiaTensorWorld

btMatrix3x3DoubleData Bullet::btRigidBodyDoubleData::m_invInertiaTensorWorld

Definition at line 817 of file bullet.h.

## ◆ m_linearDamping

double Bullet::btRigidBodyDoubleData::m_linearDamping

Definition at line 828 of file bullet.h.

## ◆ m_linearFactor

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_linearFactor

Definition at line 821 of file bullet.h.

## ◆ m_linearSleepingThreshold

double Bullet::btRigidBodyDoubleData::m_linearSleepingThreshold

Definition at line 834 of file bullet.h.

## ◆ m_linearVelocity

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_linearVelocity

Definition at line 818 of file bullet.h.

## ◆ m_padding

char Bullet::btRigidBodyDoubleData::m_padding[4]

Definition at line 837 of file bullet.h.

## ◆ m_totalForce

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_totalForce

Definition at line 825 of file bullet.h.

## ◆ m_totalTorque

btVector3DoubleData Bullet::btRigidBodyDoubleData::m_totalTorque

Definition at line 826 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h